package top.octopusyan.http.listener;

import okhttp3.Call;

/**
 * 使用时不能为lambda 否则获取不到泛型类型
 *
 * @author : octopus yan
 * @email : octopus_yan@foxmail.com
 * @description : 网络请求监听
 * @create : 2022-4-1 15:17
 */
public interface OnHttpListener<T> {

    /**
     * 请求开始
     */
    default void onStart(Call call) {}

    /**
     * 请求成功
     */
    void onSucceed(T result);

    /**
     * 请求出错
     */
    void onFail(Exception e);

    /**
     * 请求结束
     */
    default void onEnd(Call call) {}
}
