package top.octopusyan.http.ssl;

import javax.net.ssl.HostnameVerifier;
import javax.net.ssl.SSLSession;

/**
 * @author : octopus yan
 * @email : octopus_yan@foxmail.com
 * @description :  不安全的证书域名校验
 * @create : 2022-4-1 23:20
 */
public final class UnSafeHostnameVerifier implements HostnameVerifier {

   @Override
   public boolean verify(String hostname, SSLSession session) {
      // 此类是用于主机名验证的基接口。 在握手期间，如果 URL 的主机名和服务器的标识主机名不匹配，
      // 则验证机制可以回调此接口的实现程序来确定是否应该允许此连接。策略可以是基于证书的或依赖于其他验证方案。
      // 当验证 URL 主机名使用的默认规则失败时使用这些回调。如果主机名是可接受的，则返回 true
      return true;
   }
}
